List knowledge engine data sources
curl --request GET \
--url https://api.getdecisional.ai/api/v1/knowledge-engines/{id}/data-sources \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.getdecisional.ai/api/v1/knowledge-engines/{id}/data-sources"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.getdecisional.ai/api/v1/knowledge-engines/{id}/data-sources', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"$ref": "#/components/examples/DataSourceListResponse"
}{
"error": "Invalid knowledge engine name: exceeds maximum length of 50 characters"
}Knowledge Engines
List Data Sources for Knowledge Engine
Returns a list of all data sources associated with a knowledge engine
GET
/
api
/
v1
/
knowledge-engines
/
{id}
/
data-sources
List knowledge engine data sources
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
Knowledge engine ID
Response
List of data sources
Unique identifier for the data source
Example:
"ds_abc123xyz789"
Name of the data source
Example:
"Annual Report 2023"
Type of the data source
Available options:
file, ticket Example:
"file"
Current status of the data source
Available options:
processing, processed Example:
"processed"
Custom attributes and fields
Example:
{ "category": "financial" }
ID of the knowledge engine this data source belongs to
Example:
"kng_abc123xyz789"
Unix timestamp when this entity was created
Example:
1679644800